Bug 1302726 - [python-click] rebase to latest version
Summary: [python-click] rebase to latest version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-click
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Kuska
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-28 13:31 UTC by Carl George
Modified: 2016-03-25 21:25 UTC (History)
3 users (show)

Fixed In Version: python-click-6.3-1.fc23 python-click-6.3-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-21 01:52:11 UTC


Attachments (Terms of Use)

Description Carl George 2016-01-28 13:31:30 UTC
Description of problem:
Currently EPEL7 has click version 3.3.  Multiple applications are starting to require minimum versions of click (for example, mkdocs requires click 4.0).  From what I can gather, click does an good job at maintaining backwards compatibility [1][2].  The last breaking change was prior to the existing version 3.3.  Based on this information, updating click to the latest version (currently 6.2) should be allowed under EPEL policy [3].

Version-Release number of selected component (if applicable):
3.3-1.el7

Actual results:
EPEL7 click is too old for many other project's dependencies.

Expected results:
Rebase EPEL7 click to the latest (or a more recent) version.

Additional info:
[1] https://github.com/mitsuhiko/click/blob/master/docs/upgrading.rst
[2] https://github.com/mitsuhiko/click/blob/master/CHANGES
[3] https://fedoraproject.org/wiki/EPEL_Updates_Policy

Comment 1 Fedora Update System 2016-03-08 15:47:59 UTC
python-click-6.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-97a1ea39d7

Comment 2 Fedora Update System 2016-03-08 15:48:13 UTC
python-click-6.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5596df7d84

Comment 3 Fedora Update System 2016-03-09 22:56:19 UTC
python-click-6.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-97a1ea39d7

Comment 4 Fedora Update System 2016-03-09 23:21:26 UTC
python-click-6.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5596df7d84

Comment 5 Fedora Update System 2016-03-21 01:52:07 UTC
python-click-6.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-03-25 21:25:24 UTC
python-click-6.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.